SUSE SLES12 Security Update : google-guest-agent (SUSE-SU-2023:0603-1)

critical Nessus Plugin ID 172061

Language:

Synopsis

The remote SUSE host is missing one or more security updates.

Description

The remote SUSE Linux SLES12 / SLES_SAP12 host has a package installed that is affected by multiple vulnerabilities as referenced in the SUSE-SU-2023:0603-1 advisory.

- Go before 1.16.9 and 1.17.x before 1.17.2 has a Buffer Overflow via large arguments in a function invocation from a WASM module, when GOARCH=wasm GOOS=js is used. (CVE-2021-38297)

- Curve.IsOnCurve in crypto/elliptic in Go before 1.16.14 and 1.17.x before 1.17.7 can incorrectly return true in situations with a big.Int value that is not a valid field element. (CVE-2022-23806)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected google-guest-agent package.

See Also

https://www.suse.com/security/cve/CVE-2021-38297

https://www.suse.com/security/cve/CVE-2022-23806

http://www.nessus.org/u?ded0168c

https://bugzilla.suse.com/1191468

https://bugzilla.suse.com/1195391

https://bugzilla.suse.com/1195838

https://bugzilla.suse.com/1202100

https://bugzilla.suse.com/1202101

https://bugzilla.suse.com/1208723

Plugin Details

Severity: Critical

ID: 172061

File Name: suse_SU-2023-0603-1.nasl

Version: 1.3

Type: local

Agent: unix

Published: 3/3/2023

Updated: 7/14/2023

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2021-38297

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:google-guest-agent, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 3/2/2023

Vulnerability Publication Date: 10/18/2021

Reference Information

CVE: CVE-2021-38297, CVE-2022-23806

SuSE: SUSE-SU-2023:0603-1